% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reserve.R
\name{reserve}
\alias{reserve}
\title{Reserve
This function calculates the reserve given the reward matrix and some constant rate
This function requires proper construction of reward matrix as specified in the lecture notes provided in the course Liv1 at the University of Copenhagen.}
\usage{
reserve(t, TT, Lambda, R, mu, r, n)
}
\arguments{
\item{t}{initial timepoint}

\item{TT}{end timepoint}

\item{Lambda}{intensity matrix}

\item{R}{reward matrix}

\item{mu}{equivalence premium}

\item{r}{constant rate as a scalar}

\item{n}{number of steps for the Runge-Kutta algorithm}
}
\value{
Returns a matrix of statewise reserves
}
\description{
Reserve
This function calculates the reserve given the reward matrix and some constant rate
This function requires proper construction of reward matrix as specified in the lecture notes provided in the course Liv1 at the University of Copenhagen.
}
\examples{
Lambda <- function(x) matrix(c(-0.1, 0.1, 0, -0.1), 2, 2)
R <- function(x, mu) matrix(c(0, 0, 0, mu), 2, 2)
reserve(0, 80, Lambda, R, 200000, 0.01, 1000)
}
